#ifndef IPERMISSIONMANAGER_H
#define IPERMISSIONMANAGER_H
class IPermissionManager {
public:
    virtual std::string GetPermissionName(int iPermissionId) = 0;
    virtual int GetPermissionId(std::string permissionName) = 0;
    virtual bool HasPermission(int iPermissionId) = 0;
    virtual bool HasPermission(std::string permissionName) = 0;
    virtual bool HasPermission(std::vector<std::string> permissionList) = 0;
    virtual std::map<int, std::string> GetPermissionList() = 0;
};
#endif // IPERMISSIONMANAGER_H
